Get the Reference Contacts for a Claim
Path
GET /claims/{claimNumber}/referenceContacts Request Parameters
X-Client-Global-Id
number
Client Global Id header. Used for internal communication only
X-Client-Reference
array
Client reference header. Used for internal communication only
claimNumber
required
string
claim number of the requested claim
page
integer default: 1
The current page number.
pageSize
integer default: 10
The number of items per page.
Responses
-
arrayfirstNamestringMax length: 128This is for the first name(s) of the contact, separated by either dashes or spaces.lastNamestringMax length: 256This is for the last name(s) of the contact, separated by either dashes or spaces.typestringMax length: 20Enum:
- SPOUSE
- GENERAL_PARTNER
- LAWYER
- LEGAL_GUARDIAN
- MANAGING_DIRECTOR
- EMPLOYEE
- INSOLVENCY_ADMINISTRATOR
- GARNISHEE
- BAILIFF
- GUARANTOR
The type represents the relationship between contact and custome.liablebooleanMax length: 5This indicates whether a person is liable or not. In this way, non-liable persons such as lawyers or keepers can also be handed over.identificationNumberstringMax length: 128This is the social security number of the referenceContact or company registration number, when the referenceContact is a company.legalEntityTypestringEnum:- NATURAL_PERSON
- SOLE_PROPRIETORSHIP
- COMPANY
Represents the legal entity type of a referenceContact. NATURAL_PERSON for private individuals, SOLE_PROPRIETORSHIP for single-person companies, and COMPANY for incorporated companies and other business entities.objectAn address of a contact or customer.streetstringMax length: 128street or adresse line 1. The street could include the house number, but if possible please provide the house number as separate value in the field houseNumberhouseNumberstringMax length: 10The street / address line 1addressLine2stringMax length: 128addressLine2, can be used, for example, for an additional address indicationzipCodestringMax length: 10The zip code.citystringMax length: 40The city.countryCodestringMax length: 2The country code according to ISO 3166-1 alpha 2.careOfstringMax length: 128An optional contact person.arrayList of contact channeles of the contact.typestringEnum:- PHONE
- MOBILE_PHONE
valuestringMax length: 120the contact information for person or companyobjectPagination information for the response.totalItemsrequiredintegerThe total number of items available.pageSizerequiredintegerThe number of items per page.currentPagerequiredintegerThe current page number.totalPagesrequiredintegerThe total number of pages. -
-
Request Example
null
Response Example
{
"items": [
{
"type": "SPOUSE",
"liable": false,
"address": {
"city": "string",
"type": "BILLING",
"careOf": "string",
"street": "string",
"zipCode": "string",
"countryCode": "st",
"houseNumber": "string",
"addressLine2": "string"
},
"lastName": "string",
"firstName": "string",
"communicationChannels": [
{
"type": "PHONE",
"value": "string"
}
]
}
],
"pagination": {
"totalItems": 0
}
}